[ubuntu/noble-proposed] zeitgeist 1.0.4-5ubuntu1 (Accepted)

Sudip Mukherjee sudipm.mukherjee at gmail.com
Wed Jan 3 22:20:10 UTC 2024


zeitgeist (1.0.4-5ubuntu1) noble; urgency=low

  * Merge with Debian unstable. Remaining changes: (LP: #2044300)
    - Add nodisplay_autostart.patch: Don't show in Startup Applications
    - Add pre_populator.patch: Pre-populate the log with some events
      so that the Unity dash isn't empty on first run.
  * Added changes:
    - Add fix-monitor-test.patch: monitor test is failing in Ubuntu if it
      is linked with libzeitgeist-datamodel.
  * Dropped changes:
    - add_datahub_autostart_delay.patch, no longer required.

zeitgeist (1.0.4-5) unstable; urgency=medium

  * fix source helper tool copyright-check
    + work with Path::Tiny 0.144
    + avoid insecure shell expansion
  * add patch cherry-picked upstream to support Python 3.11;
    closes: bug#1032125, thanks to s3v
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage

zeitgeist (1.0.4-4) unstable; urgency=medium

  * update source helper script copyright-check
  * update copyright info:
    + use field License-Grant
    + update coverage

zeitgeist (1.0.4-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix wrong parameter for Event.full() ctor
  * declare compliance with Debian Policy 4.6.1
  * update copyright info:
    + merge Files sections with identical licensing
    + sort copyright holders
    + use field Reference
    + update coverage
  * add source helper script copyright-check
  * use semantic newlines
    in long descriptions and copyright file License grants
  * build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)
  * build-depend on dh-sequence-gir
    (not gobject-introspection)
  * build-depend on dh-sequence-python3
    (not dh-python)
  * tighten packaging shell files

zeitgeist (1.0.4-2) unstable; urgency=medium

  * relax to (build-)depend unversioned
    on libdee-dev libgirepository1.0-dev libglib2.0-dev
    libgtk-3-dev libjson-glib-dev libsqlite3-dev
    libtelepathy-glib-dev valac:
    needed versions satisfied in all supported releases of Debian
  * drop ancient Breaks/Replaces,
    and relax to have zeitgeist-datahub depend unversioned
    on zeitgeist-core
  * declare compliance with Debian Policy 4.6.0
    (not too spcifically on 4.6.0.1)
  * set Rules-Requires-Root: no
  * new maintainer: Debian semweb Team,
    with myself as uploader;
    closes: bug#919274
  * install upstream NEWS and README.md with all binary packages
    (not only with zeitgeist-core)
  * update patch DEP-3 headers
  * install ontology files in binary package zeitgeist,
    and mention that in long description
  * update patch skip-failing-tests.patch
    to enable no longer failing tests
  * fix wrap test checking in dbus-run-session
    (although dbus-related tests still fail but in different way now);
    build-depend on dbus-daemon;
    closes: bug#836060, thanks to Simon McVittie
  * drop no longer needed calls to dpkg-maintscript-helper
    in maintainer scripts

zeitgeist (1.0.4-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adopt package: set myself as maintainer
  * update git-buildpackage config:
    + sign tags
    + filter-out any .git* file
    + use DEP14 branch naming scheme
    + add usage comment
  * update watch file:
    + use format 4
    + track Gitlab source
    + add filenamemangle
    + set dversionmangle=auto
    + add usage comment
  * use pkgkde_symbolshelper;
    build-depend on pkg-kde-tools
  * drop patch cherry-picked upstream now applied
  * unfuzz remaining patches, with shortening quilt options

zeitgeist (1.0.3-7) unstable; urgency=medium

  * QA upload.
  * Use upstream patch to fix ftbfs. (Closes: #997287)
  * Update Standards-Version to 4.6.0.1

zeitgeist (1.0.3-6) unstable; urgency=medium

  * QA upload.
  * Source-only upload.

zeitgeist (1.0.3-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on bash-completion and
      gobject-introspection.

Date: Mon, 25 Dec 2023 17:37:52 +0000
Changed-By: Sudip Mukherjee <sudipm.mukherjee at gmail.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Simon Quigley <tsimonq2 at ubuntu.com>
https://launchpad.net/ubuntu/+source/zeitgeist/1.0.4-5ubuntu1
-------------- next part --------------
Format: 1.8
Date: Mon, 25 Dec 2023 17:37:52 +0000
Source: zeitgeist
Built-For-Profiles: noudeb
Architecture: source
Version: 1.0.4-5ubuntu1
Distribution: noble
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Sudip Mukherjee <sudipm.mukherjee at gmail.com>
Closes: 836060 919274 997287 1032125
Launchpad-Bugs-Fixed: 2044300
Changes:
 zeitgeist (1.0.4-5ubuntu1) noble; urgency=low
 .
   * Merge with Debian unstable. Remaining changes: (LP: #2044300)
     - Add nodisplay_autostart.patch: Don't show in Startup Applications
     - Add pre_populator.patch: Pre-populate the log with some events
       so that the Unity dash isn't empty on first run.
   * Added changes:
     - Add fix-monitor-test.patch: monitor test is failing in Ubuntu if it
       is linked with libzeitgeist-datamodel.
   * Dropped changes:
     - add_datahub_autostart_delay.patch, no longer required.
 .
 zeitgeist (1.0.4-5) unstable; urgency=medium
 .
   * fix source helper tool copyright-check
     + work with Path::Tiny 0.144
     + avoid insecure shell expansion
   * add patch cherry-picked upstream to support Python 3.11;
     closes: bug#1032125, thanks to s3v
   * declare compliance with Debian Policy 4.6.2
   * update copyright info: update coverage
 .
 zeitgeist (1.0.4-4) unstable; urgency=medium
 .
   * update source helper script copyright-check
   * update copyright info:
     + use field License-Grant
     + update coverage
 .
 zeitgeist (1.0.4-3) unstable; urgency=medium
 .
   * add patch cherry-picked upstream
     to fix wrong parameter for Event.full() ctor
   * declare compliance with Debian Policy 4.6.1
   * update copyright info:
     + merge Files sections with identical licensing
     + sort copyright holders
     + use field Reference
     + update coverage
   * add source helper script copyright-check
   * use semantic newlines
     in long descriptions and copyright file License grants
   * build-depend on dh-sequence-pkgkde-symbolshelper
     (not pkg-kde-tools)
   * build-depend on dh-sequence-gir
     (not gobject-introspection)
   * build-depend on dh-sequence-python3
     (not dh-python)
   * tighten packaging shell files
 .
 zeitgeist (1.0.4-2) unstable; urgency=medium
 .
   * relax to (build-)depend unversioned
     on libdee-dev libgirepository1.0-dev libglib2.0-dev
     libgtk-3-dev libjson-glib-dev libsqlite3-dev
     libtelepathy-glib-dev valac:
     needed versions satisfied in all supported releases of Debian
   * drop ancient Breaks/Replaces,
     and relax to have zeitgeist-datahub depend unversioned
     on zeitgeist-core
   * declare compliance with Debian Policy 4.6.0
     (not too spcifically on 4.6.0.1)
   * set Rules-Requires-Root: no
   * new maintainer: Debian semweb Team,
     with myself as uploader;
     closes: bug#919274
   * install upstream NEWS and README.md with all binary packages
     (not only with zeitgeist-core)
   * update patch DEP-3 headers
   * install ontology files in binary package zeitgeist,
     and mention that in long description
   * update patch skip-failing-tests.patch
     to enable no longer failing tests
   * fix wrap test checking in dbus-run-session
     (although dbus-related tests still fail but in different way now);
     build-depend on dbus-daemon;
     closes: bug#836060, thanks to Simon McVittie
   * drop no longer needed calls to dpkg-maintscript-helper
     in maintainer scripts
 .
 zeitgeist (1.0.4-1) experimental; urgency=medium
 .
   [ upstream ]
   * new release
 .
   [ Jonas Smedegaard ]
   * adopt package: set myself as maintainer
   * update git-buildpackage config:
     + sign tags
     + filter-out any .git* file
     + use DEP14 branch naming scheme
     + add usage comment
   * update watch file:
     + use format 4
     + track Gitlab source
     + add filenamemangle
     + set dversionmangle=auto
     + add usage comment
   * use pkgkde_symbolshelper;
     build-depend on pkg-kde-tools
   * drop patch cherry-picked upstream now applied
   * unfuzz remaining patches, with shortening quilt options
 .
 zeitgeist (1.0.3-7) unstable; urgency=medium
 .
   * QA upload.
   * Use upstream patch to fix ftbfs. (Closes: #997287)
   * Update Standards-Version to 4.6.0.1
 .
 zeitgeist (1.0.3-6) unstable; urgency=medium
 .
   * QA upload.
   * Source-only upload.
 .
 zeitgeist (1.0.3-5) unstable; urgency=medium
 .
   * QA upload.
 .
   [ Debian Janitor ]
   * Remove constraints unnecessary since stretch:
     + Build-Depends: Drop versioned constraint on bash-completion and
       gobject-introspection.
Checksums-Sha1:
 4dcde5f1455ea9c9303de8b08b634eb0eac60ec0 2835 zeitgeist_1.0.4-5ubuntu1.dsc
 15def247e8aa94d5259ed4dacd596e3645be225b 249130 zeitgeist_1.0.4.orig.tar.bz2
 f725bac7e8df67d629174d69351f6cfcda0bd0d5 22308 zeitgeist_1.0.4-5ubuntu1.debian.tar.xz
 155aff75fa51a3738668d111d58d798b47b9586a 14043 zeitgeist_1.0.4-5ubuntu1_source.buildinfo
Checksums-Sha256:
 72c4beea2c618033b5fbd5108566b1f69e6431af8f037a53e1db91a87d46768d 2835 zeitgeist_1.0.4-5ubuntu1.dsc
 b61d53cc4235317b3d9c62d04e50c64b88821041301daae2cfb75ce224656ee8 249130 zeitgeist_1.0.4.orig.tar.bz2
 2b515e2a36334ead2e38aab7d2112c791137cb8cfa6f89e0ae6aaacb997b9ba7 22308 zeitgeist_1.0.4-5ubuntu1.debian.tar.xz
 b399c5c3638b275f70bf43f16965fa5a554e4a80111469f7aae2d117a9c94e49 14043 zeitgeist_1.0.4-5ubuntu1_source.buildinfo
Files:
 2ae4d9ba2c8b885fd0327ff11b727437 2835 utils optional zeitgeist_1.0.4-5ubuntu1.dsc
 5d6780bc90ecaa4fd4ce2a4694415c1a 249130 utils optional zeitgeist_1.0.4.orig.tar.bz2
 00cd9fa71f1d9c10bde17711ab1314b1 22308 utils optional zeitgeist_1.0.4-5ubuntu1.debian.tar.xz
 dec9408d11f47c2e33a3b5603fc32cde 14043 utils optional zeitgeist_1.0.4-5ubuntu1_source.buildinfo
Original-Maintainer: Debian semweb Team <team+semweb at tracker.debian.org>


More information about the noble-changes mailing list